Package javax.websocket

## Interface MessageHandler.Whole<T>

All Superinterfaces:
  `MessageHandler`

Enclosing interface:
  MessageHandler

    public static interface MessageHandler.Whole<T>
    extends MessageHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onMessage​(T message)` Called when a whole message is available to be processed.

### Method Detail

#### onMessage

    void onMessage​(T message)

Called when a whole message is available to be processed.

Parameters:
  `message` - The message